### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class CommentFilter

java.lang.Object
com.sas.services.information.metadata.CommentFilter

All Implemented Interfaces:
  `CommentFilterInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class CommentFilter extends Object implements CommentFilterInterface, Serializable
Provides a mechanism to filter comments. Remarks could be filtered by owner, author, range (eg. date), ...

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.CommentFilterInterface

  `AUTHOR, AUTHOR_RANGE, DATETIME_RANGE, NOMODIFIER, OWNER, RANGE, TEXT_RANGE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentFilter()`
  `CommentFilter(int filterModifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFilterModifier()`
  `int`
  `getRangeField()`
  `boolean`
  `rangeEvalLong(long n)`
  `boolean`
  `rangeEvalString(String str)`
  `void`
  `setFilterModifier(int modifierType)`
  `void`
  `setRangeFilterModifierLong(int rangeField, long lower, long upper)`
  `void`
  `setRangeFilterModifierString(int rangeField, String lower, String upper)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommentFilter

    public CommentFilter()

  - ### CommentFilter

    public CommentFilter(int filterModifier)

- ## Method Details

  - ### getFilterModifier

    public int getFilterModifier()
    Specified by:
      `getFilterModifier` in interface `CommentFilterInterface`

  - ### getRangeField

    public int getRangeField()
    Specified by:
      `getRangeField` in interface `CommentFilterInterface`

  - ### setFilterModifier

    public void setFilterModifier(int modifierType)
    Specified by:
      `setFilterModifier` in interface `CommentFilterInterface`

  - ### setRangeFilterModifierLong

    public void setRangeFilterModifierLong(int rangeField, long lower, long upper)
    Specified by:
      `setRangeFilterModifierLong` in interface `CommentFilterInterface`

  - ### setRangeFilterModifierString

    public void setRangeFilterModifierString(int rangeField, String lower, String upper)
    Specified by:
      `setRangeFilterModifierString` in interface `CommentFilterInterface`

  - ### rangeEvalString

    public boolean rangeEvalString(String str)
    Specified by:
      `rangeEvalString` in interface `CommentFilterInterface`

  - ### rangeEvalLong

    public boolean rangeEvalLong(long n)
    Specified by:
      `rangeEvalLong` in interface `CommentFilterInterface`